Bug 480433 - connection fails (but, "pairing request/bonding" succeeds as does gnome-obex-server)
connection fails (but, "pairing request/bonding" succeeds as does gnome-obex-...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-17 01:08 EST by morgan read
Modified: 2015-03-13 18:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:37:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2009-01-17 01:08:43 EST
Description of problem:
I've started a new bug with the same title as the last (Bug 472707) because that was started in f8 and I'm now with f10.  Also, that bug seemed to go off-beam, so I'll try to do better with my description in this one...

Previous description:
"Phone has been connecting without problem previously.
Phone will 'bond' and 'pairing request' will succeed, but 'connections fails'
as displayed by phone and no connection shown in Gnome Bluetooth Preferences."

More info:
* OK, the connection only seems to be failing in one direction: phone > gnome.  And, not failing in the other: gnome > phone.
* Having attempted a connection from the phone to gnome and had the "pairing request" succeed and "bonding" succeed, but the phone show "connection fail" (after gnome showing a momentary connection) if I follow the instructions at https://bugzilla.redhat.com/show_bug.cg/ID=472707#c4 then I am able to establish a connection that the phone recognises 

Version-Release number of selected component (if applicable):
bluez-gnome-1.8-11.fc10.i386

How reproducible:
Seems always

Steps to Reproduce:
1. Establish pairing and bonding between phone and gnome
2. Attempt connection from phone
3.
  
Actual results:
Connection fails

Expected results:
Connection succeeds

Additional info:
Phone is a Sony Ericsson V640i
Adjust component as necessary
Is there any BT log/debug output anywhere?
Comment 2 Bastien Nocera 2009-03-04 20:02:06 EST
"2. Attempt connection from phone"

The "Connect" function in the Bluetooth devices list is usually to connect a headset. What exactly are you trying to achieve here? What are you doing _exactly_ on the phone?

You don't need to pair the devices in the first place if you're trying to just send a file from your device.
Comment 3 Bug Zapper 2009-11-18 05:47:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:37:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 morgan read 2015-03-13 17:52:36 EDT
(In reply to Bastien Nocera from comment #2)
> "2. Attempt connection from phone"
> 
> The "Connect" function in the Bluetooth devices list is usually to connect a
> headset. What exactly are you trying to achieve here? What are you doing
> _exactly_ on the phone?
> 
> You don't need to pair the devices in the first place if you're trying to
> just send a file from your device.

clearing Need Info on bug long since dead - thank you Bastien for your question

Note You need to log in before you can comment on or make changes to this bug.